/**
  ******************************************************************************
  * @file    Control hd44780 using STM32F4 Discovery
  * @author  Lee Dyche - Tecsploit.com
  * @version V1.0.0
  * @date    21/03/2014
  * @brief   The hd44780.h and hd44780.c were taken from http://www.kamami.com/
  ******************************************************************************
  * @attention
  * This is program is provided as is with no warranty!!
  ******************************************************************************
  */
#include "TecsploitUtils.h"

void ts_itoa(char **buf, unsigned int d, int base)
{
	int div = 1;
	while (d/div >= base)
		div *= base;

	while (div != 0)
	{
		int num = d/div;
		d = d%div;
		div /= base;
		if (num > 9)
			*((*buf)++) = (num-10) + 'A';
		else
			*((*buf)++) = num + '0';
	}
}

